<?php

namespace App\Livewire;

use Livewire\Component;

class Webcam extends Component
{

    public string $capturedPhoto = '';

    // Called from JavaScript when a photo is taken
    public function setPhoto(string $photo): void
    {
        $this->capturedPhoto = $photo;

        // Fires a browser event that the Filament form will listen to
        $this->dispatch('photo-captured', photo: $photo);
    }

    // Called from JavaScript when user clicks "Retake"
    public function clearPhoto(): void
    {
        $this->capturedPhoto = '';

        $this->dispatch('photo-captured', photo: '');
    }
    public function render()
    {
        return view('livewire.webcam');
    }
}
